Adobe Revel version 1.8 now available

  • 1
  • Announcement
  • Updated 6 years ago
Archived and Closed

This conversation is no longer open for comments or replies and is no longer visible to community members. The community moderator provided the following reason for archiving: Revel - Transition | End of Service

What's New in Version 1.8

+ Revel now requires iOS 5.0
+ Lots of small changes that make Revel easier to use
+ Bug fixes!

Learn more here:
https://itunes.apple.com/us/app/adobe...
Photo of David B

David B, Official Rep

  • 211 Posts
  • 28 Reply Likes

Posted 6 years ago

  • 1

There are no replies.

This conversation is no longer open for comments or replies.